plugins {
    id 'com.android.dynamic-feature'
    id 'org.jetbrains.kotlin.android'
    id 'org.jetbrains.kotlin.kapt'
    id 'kotlin-parcelize'
}

android {
    namespace 'com.adealink.weparty.im'
    compileSdk libs.versions.compileSdk.get().toInteger()

    defaultConfig {
        minSdk libs.versions.minSdk.get().toInteger()

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        manifestPlaceholders = [
                appAuthRedirectScheme: "",
        ]
    }

    buildTypes {
        release {
            debuggable false
        }
    }

    viewBinding {
        enabled = true
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }

    kotlinOptions {
        jvmTarget = JavaVersion.VERSION_17.majorVersion
    }
}

dependencies {
    implementation project(":app")

    //frame
    kapt libs.frame.router.compiler
    annotationProcessor libs.auto.service

    implementation project(":tuicore")
    implementation project(":timcommon")
    implementation project(":tuichat")
    implementation project(":tuicontact")
    implementation project(":tuiconversation")
    implementation project(":tuisearch")
    implementation project(":tuicommunity")
    implementation project(":tuicustomerserviceplugin")
    //implementation project(":tuiroomkit")


    //test
    testImplementation libs.junit
    androidTestImplementation libs.androidx.junit
    androidTestImplementation libs.androidx.espresso.core
}